List playlist tracks

Get tracks of given playlist.

OAuth

 \ Example request

GET https://api.7digital.com/1.2/playlists/51ed5cfec9021614f462bb7b/tracks?country=GB&page=1&pagesize=2&oauth_consumer_key=YOUR_KEY_HERE

Example response

{
  "page": 1,
  "pageSize": 2,
  "totalItems": 81,
  "tracks" : [{
    "playlistItemId" : "52cd88c2c902161660aeab80",
    "trackId" : "5495893",
    "trackTitle" : "No You Girls",
    "trackVersion" : "Trentmoller Remix",
    "artistAppearsAs" : "Franz Ferdinand",
    "releaseId" : "496338",
    "eleaseTitle" : "No You Girls Remixes Part 2",
    "releaseArtistAppearsAs" : "Franz Ferdinand",
    "releaseVersion" : "Digital Download",
    "source" : "7digital",
    "audioUrl" : "http://stream.svc.7digital.net/stream/catalogue?trackId=5495893",
    "user" : "id:4874383",
    "image" : "http://artwork-cdn.7static.com/static/img/sleeveart/00/004/963/0000496338_$size$.jpg"
  },
  {
    "playlistItemId" : "52cd88c2c902161660aeab81",
    "trackId" : "3121833",
    "trackTitle" : "Kids",
    "trackVersion" : "",
    "artistAppearsAs" : "MGMT",
    "releaseId" : "280218",
    "releaseTitle" : "Oracula Spectacular",
    "releaseArtistAppearsAs" : "MGMT",
    "releaseVersion" : "",
    "source" : "7digital",
    "audioUrl" : "http://stream.svc.7digital.net/stream/catalogue?trackId=3121833",
    "user" : "id:4874383",
    "image" : "http://artwork-cdn.7static.com/static/img/sleeveart/00/002/802/0000280218_$size$.jpg"
  }]
}
Path Params
string
required

The identifier for the playlist you want to list tracks for

Query Params
string

If you are using this endpoint for a user specific playlist, then provide the unique identifier of the user. For information on creating users click here.

string
required

The ISO 2-character code of the country to which your oauth_consumer_key has access.

int32
Defaults to 1

Page number of the result set.

int32
Defaults to 10

Number of items to be returned per page. Maximum page size is 500

Language
LoadingLoading…